> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get zone schema using TYPE

> Retrieve the detailed structure of the contents of a zone using ZONE_TYPE or TEMPLATE_TYPE.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-templating.json get /zones/_schema/{type}
openapi: 3.0.1
info:
  title: Fusion Templating API
  description: >-
    This API lets you perform create, read, update, and delete (CRUD) operations
    on templates and zones, and retrieve and render templates for particular
    navigation states.
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  contact:
    name: Lucidworks
    url: https://lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST.com}/api/templating
    description: Fusion
    variables:
      FUSION_HOST.com:
        default: ''
security: []
tags:
  - name: page-metadata-controller
    description: Endpoints with this tag modify page metadata.
  - name: render-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      render, create, read, update, and delete Fusion application templates that
      are published or in staging (unpublished).
  - name: template-settings-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete configuration information for the Fusion
      Templating service.
  - name: templates-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete Fusion application template information.
  - name: trigger-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      create, read, and update the Fusion application templates that are
      published or in staging (unpublished) without rendering.
  - name: zones-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      retrieve, create, read, update, and delete zone information (Fusion query
      profiles).
paths:
  /zones/_schema/{type}:
    parameters:
      - schema:
          type: string
        name: type
        in: path
        required: true
        description: >-
          The type of object returned in the response. The zone type or template
          type can be used to return zone schema. An example value of zone type
          is "Templating Zone". An example value of template type is "landing". 
    get:
      tags:
        - zones-controller
      summary: Get zone schema using TYPE
      description: >-
        Retrieve the detailed structure of the contents of a zone using
        ZONE_TYPE or TEMPLATE_TYPE.
      operationId: get-zones-schema-by-type
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/zonesSchemaResponse'
              examples: {}
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: Forbidden
          content: {}
        '404':
          description: Not Found
          content: {}
components:
  schemas:
    zonesSchemaResponse:
      title: Zones Schema Response
      x-stoplight:
        id: 2bo4650zuo0j6
      type: object
      properties:
        type:
          type: string
          default: object
          description: The type of object returned in the response.
          example: Templating Zone
        title:
          type: string
          description: Description of what is returned in the schema response.
          example: Templating Template
        description:
          type: string
          description: Description of the information stored in the schema.
          example: Stores configuration of the templates.
        properties:
          type: object
          description: Properties stored in the schema.
          properties:
            dirty:
              type: boolean
              description: >-
                The status of the template. If `false`, the template is
                published. If `true`, this is the staging version of this
                template and it contains changes that have not yet been
                published.
            metadata:
              type: object
              description: Additional data associated with this zone.
            neverPublished:
              type: boolean
              x-stoplight:
                id: m73fq34po93zg
              default: false
              description: >-
                The status of the zone. If `false`, the zone has been published
                at some point. If `true`, this zone has never been published.
            isStaging:
              type: boolean
              description: >-
                This field indicates if the zone is published or unpublished
                (staging). If set to `false`, the zone is published. If set to
                `true`, the zone is unpublished (staging).
            isPublished:
              type: boolean
              description: >-
                This field indicates if the template is a published template. If
                `true`, this template has a status of published. If `false`,
                this template is not a template with a status of published.
            inTemplates:
              type: array
              x-stoplight:
                id: wsu6my341bgn3
              description: >-
                IDs of the staging and/or published templates in which this zone
                appears. The IDs are not displayed in any particular order. The
                `staging` and `published` boolean fields specify if that type of
                template ID is returned in this field.


                The IDs are listed in the `items` field.
              items:
                x-stoplight:
                  id: ew3o6nj5tchj4
                type: string
                example: >-
                  e123f4bc-5e7e-46dd-9be8-71a4f73e511a,
                  8084969c-bd23-40f7-9acf-c68d6798bec2,
                  441eb3be-7de6-470a-8141-e416a15c7db1,
                  fb148491-b39e-46d1-af33-44cd964d8ee0
            name:
              type: string
              x-stoplight:
                id: vg8lweix0muqq
              description: >-
                The name of the zone that contains the specified query profiles
                to search in the query.
              example: Results List
            id:
              type: string
              x-stoplight:
                id: 4gcss9lg4oylo
              description: The universal unique identifier (UUID) of the zone.
              format: uuid
              example: 6a163bd4-5098-466c-22aa-40bf68294303
            type:
              type: string
              x-stoplight:
                id: ls25pse6hr6mj
              description: >-
                Read-only value that classifies the zone in the Fusion
                Predictive Merchandiser UI. This value does not affect the
                triggering/rendering logic. 
              example: result-list
            tags:
              type: array
              x-stoplight:
                id: ouyp2443mf7ef
              description: >-
                The tags to pass to the query profile during the operation (GET,
                POST, PUT, DELETE). This data is combined with tags send in the
                request paramaters.
              items:
                x-stoplight:
                  id: so4a3p3d8dnq3
                type: string
                example: zones-controller
            isOmitFilters:
              type: boolean
              x-stoplight:
                id: na118m8gmn086
              description: >-
                Specifies whether to include filters `fq` parameters in the
                search. If set to `Off`, all query parameters in the original
                request are passed on to the defined query profile when a
                template is being rendered. If set to `On`, all filters (`fq`
                parameters) from the original request are omitted from the query
                to the query profile. For example, if you have a category
                landing page where the category is used to filter the displayed
                items, this setting can allow a zone to display items outside of
                that category (by omitting the category filter).
              default: false
            queryProfile:
              type: string
              x-stoplight:
                id: o7e4coj4fxg8j
              description: >-
                The query profile for this zone, that designates the endpoint
                that is searched.
              example: query-profile
            uiTreatment:
              type: string
              x-stoplight:
                id: qwlhkb2268hgn
              description: >-
                Text included in the response for this zone. If the user
                interface (UI) is configured to use the zone, the text in this
                field can be used to influence how the zone is displayed or
                processed in the UI.
        category:
          type: string
          description: The category of the object in the schema.
        categoryPriority:
          type: integer
          description: The importance (priority) of the object in the schema.
        unsafe:
          type: boolean
          description: >-
            The security status of the objects in the schema. If `false`, the
            schema contents are valid. If `true`, the schema contents are not
            valid.

````